package de.itstall;

import javax.swing.*;
import java.awt.*;

public class AmpelGui extends JFrame {
	JButton btnWeiter = new JButton("Weiter");
	AmpelPanel panel = new AmpelPanel();

	public AmpelGui() {
		initializeComponents();
	}

	public void anzeigen() {
		this.setVisible(true);
	}

	private void initializeComponents() {
		// Eigenschaften des Frames setzen
		Dimension dim = new Dimension(150, 450);
		this.setLayout(new BorderLayout());
		this.setTitle("Ampelschaltung");
		this.setSize(400, 700);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setResizable(true);
		this.setVisible(true);
		this.setMinimumSize(dim);

		// Neue ZeichenFlaeche erzeugen und dies auf der Oberfläche platzieren
		panel.setBackground(Color.GRAY); // Ändern der Hintergrundfarbe
		this.add(panel, BorderLayout.CENTER);

		btnWeiter.addActionListener(ae -> weiterSchalten());
		this.add(btnWeiter, BorderLayout.PAGE_END);
		this.pack();
	}

	private void weiterSchalten() {
		if (panel.ampelPhase == 3) {
			panel.ampelPhase = 0;
		} else {
			panel.ampelPhase++;
		}
	}

}
