package de.itstall;

import javax.swing.*;
import java.awt.*;

public class AmpelPanel extends JPanel {
	public int ampelPhase;

	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);

		int ampelWidth = getWidth() - 40;

		/** Rahmen der Lampen zeichnen */
		Graphics2D g2d = (Graphics2D) g;
		g2d.setColor(Color.BLACK);
		BasicStroke myStroke = new BasicStroke(4.0f);
		g2d.setStroke(myStroke);
		g2d.drawOval(18, 18, ampelWidth + 4, ampelWidth + 4);
		g2d.drawOval(18, ampelWidth + 48, ampelWidth + 4, ampelWidth + 4);
		g2d.drawOval(18, ampelWidth * 2 + 68, ampelWidth + 4, ampelWidth + 4);


		switch (ampelPhase) {
			case 0:
				g.setColor(Color.RED);
				g.fillOval(20, 20, ampelWidth, ampelWidth);
				break;

			case 1:
				g.setColor(Color.RED);
				g.fillOval(20, 20, ampelWidth, ampelWidth);

				g.setColor(Color.YELLOW);
				g.fillOval(20, ampelWidth + 50, ampelWidth, ampelWidth);
				break;

			case 2:
				g.setColor(Color.GREEN);
				g.fillOval(20, ampelWidth * 2 + 70, ampelWidth, ampelWidth);
				break;

			case 3:
				g.setColor(Color.YELLOW);
				g.fillOval(20, ampelWidth + 50, ampelWidth, ampelWidth);
				break;

		}

		repaint();
	}
}
